// Lasertoy

#include <Servo.h>

Servo vert; 
Servo hor;

void setup() { 
  vert.attach(8);
  hor.attach(9);
  }

void migrate(Servo &myServo, int newPos) {
  int wait=random(10,40); //Randomize wait time
  int pos = myServo.read(); //Read the current servo position
  if (pos < newPos) { 
    for (int i=pos; i < newPos; i++) {
      myServo.write(i);
      delay(wait); 
      }
      } else { 
        for (int i=pos; i > newPos; i--) { 
          myServo.write(i);
          delay(wait);
          }
          }
          }

void randomPosition() {
  int rand=random(35,70); //Limit range of horizontal movement
  migrate(hor, rand);
  
  rand=random(100,160); //Limit range of vertical movement
  migrate(vert, rand);
  }
  
void loop() { 
  randomPosition();
  int cekaj=random(500,750);
  delay(cekaj);
  }
